org.apache.cassandra.net

## Interface IAsyncCallback<T>

- All Superinterfaces:
    IMessageCallback
  All Known Implementing Classes:
    AbstractWriteResponseHandler, AsyncRepairCallback, DatacenterSyncWriteResponseHandler, DatacenterWriteResponseHandler, ReadCallback, TruncateResponseHandler, WriteResponseHandler

      public interface IAsyncCallback<T>
      extends IMessageCallback

  implementors of IAsyncCallback need to make sure that any public methods are threadsafe with respect to response() being called from the message service. In particular, if any shared state is referenced, making response alone synchronized will not suffice.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `response(MessageIn<T> msg)`

    - ### Methods inherited from interface org.apache.cassandra.net.IMessageCallback

      `isLatencyForSnitch`

- - ### Method Detail

    - #### response

          void response(MessageIn<T> msg)

      Parameters:
        `msg` - response received.

Copyright © 2014 The Apache Software Foundation